<?php
class ctl_mall_ajax extends mod_mall_ajax {
	//获取指定商品属性
	function act_goods_category_attribute() {
		$id = (int)fun_get::get("id");
		return fun_format::json(tab_mall_goods_category::get_attribute($id));
	}
	//按支付方式，获取相关配送地址
	function act_sendinfo() {
		$area_ids = fun_get::get("areaids");
		return fun_format::json($this->get_sendinfo($area_ids));
	}
	//取指定商品销售记录
	function act_sold_record() {
		$arr_list = $this->get_sold_record();
		return fun_format::json($arr_list);
	}
	//取指定商品论论记录
	function act_comment_record() {
		$arr_list = $this->get_comment_record();
		return fun_format::json($arr_list);
	}
	//取指定商品销售记录
	function act_goods_collect() {
		$arr = $this->set_goods_collect();
		return fun_format::json($arr);
	}
}